Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160288 - slapd not starting with /tmp mounted as noexec
Summary: slapd not starting with /tmp mounted as noexec
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap
Version: 4
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jan Safranek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-14 07:36 UTC by Michael Fladischer
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-08 11:51:59 UTC


Attachments (Terms of Use)

Description Michael Fladischer 2005-06-14 07:36:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
I have my /tmp mounted on ah separate partition using the noexec option for security reasons. Since FC4 the start-up script /etc/rc.d/init.d/ldap creates a temporary wrapper-file in /tmp and executes this to start the slapd-daemon. Due to the noexec option this file cannot be executed.

Version-Release number of selected component (if applicable):
openldap-servers-2.2.23-5

How reproducible:
Always

Steps to Reproduce:
1. Mount /tmp using the noexec option
2. Run `service ldap start`
3.
  

Actual Results:  sldapd did not start.

Expected Results:  slapd starts.

Additional info:

Comment 1 Christian Iseli 2007-01-22 11:05:17 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 Jan Safranek 2007-06-08 11:51:59 UTC
Fixed in openldap-2.3.34-3.fc8 - no script is created.


Note You need to log in before you can comment on or make changes to this bug.